
Redmine - Feature #2732

Allow additional workflow transitions for author and assignee

2009-02-12 17:31 - Maxim Krušina

Status: Closed Start date: 2009-02-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

It would be great to have special line in worflow config, named "Tickets created by me" or so...

This should be added to bottom of table, and marked as special row (italic?).

This functionality will allow, for example, closing tickets by roles AND override behaviour for "tickets created by me".

By default, our programmers cannot close tickets, they can only set state to Resolved and only Project Managers can Close tickets.

With this new functionaly, we can allow developers to close only tickets created by themself.

What others think?

Related issues:

Has duplicate Redmine - Feature #5598: Strict assignment Closed 2010-05-26

Associated revisions

Revision 4895 - 2011-02-20 16:38 - Jean-Philippe Lang

Allow additional workflow transitions for issue author and assignee (#2732).

History

#1 - 2009-02-13 10:22 - Markus Knittig

Would be a useful feature...

+1

#2 - 2009-02-13 18:26 - Jean-Philippe Lang

Actually, to get an even more fine grained workflow and to best fit in the current model, there would be an entire new table to define all the transitions

allowed when the user is the author of the ticket.

We could do the same for when the user is the assignee of the ticket as well.

Thus, there would be 3 tables:

default transitions allowed

additional transitions allowed when the user is the author

additional transitions allowed when the user is the assignee

Maybe we can only display the existing table by default and have some sort of 'advanced setup' to display these extra configuration tables.

What do you think?

#3 - 2011-01-22 14:48 - Jean-Philippe Lang

- Subject changed from Expand worflow by "My tickets" to Allow additional workflow transitions for author and assignee

- Target version set to 1.2.0

#4 - 2011-02-20 16:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Feature added in r4895.
